Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog
Class PrologEngineTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.declarativa.interprolog.PrologEngineTest

All Implemented Interfaces:
  Test

Direct Known Subclasses:
  NativeEngineTest, SubprocessEngineTest

public abstract class PrologEngineTest
extends TestCase

Nested Class Summary
`static class` | `PrologEngineTest.Loop`
`static class` | `PrologEngineTest.MyClass`
`static class` | `PrologEngineTest.NumberTypes`

Field Summary
`AbstractPrologEngine` | `engine`

Constructor Summary
`PrologEngineTest(String name)`

Method Summary
`int` | `factorial(int n)`
`int` | `fibonaci(int n)`
`void` | `kickThread1()`
`void` | `loadTestFile()`
`int` | `luckyNumber()`
`int` | `somaN(int n)`
`TermModel[]` | `someTerms()`
`void` | `testAutoTermModel()`
`void` | `testBlockdataSerialization1()`
`void` | `testBlockdataSerialization2()`
`void` | `testBuildTermModel()`
`void` | `testDeterministicGoal()`
`void` | `testDG2()`
`void` | `testFactorial()`
`void` | `testFibonaci()`
`void` | `testGetRealJavaObject()`
`void` | `testIPobjects()`
`void` | `testJavaMessage()`
`void` | `testJavaThreads()`
`void` | `testLoops()`
`void` | `testNewInterrupt()`
`void` | `testNumbers()`
`void` | `testNumbers2()`
`void` | `testPrototypeStuff()`
`void` | `testSomaN()`
`void` | `testStrangeChar()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### engine

    public AbstractPrologEngine engine

Constructor Detail

### PrologEngineTest

    public PrologEngineTest(String name)

Method Detail

### loadTestFile

    public void loadTestFile()

### testNewInterrupt

    public void testNewInterrupt()

### testNumbers

    public void testNumbers()

### testPrototypeStuff

    public void testPrototypeStuff()

### testAutoTermModel

    public void testAutoTermModel()

### testBuildTermModel

    public void testBuildTermModel()

### testNumbers2

    public void testNumbers2()

### testDeterministicGoal

    public void testDeterministicGoal()

### testDG2

    public void testDG2()

### luckyNumber

    public int luckyNumber()

### testJavaMessage

    public void testJavaMessage()

### testIPobjects

    public void testIPobjects()

### testLoops

    public void testLoops()

### somaN

    public int somaN(int n)

### testSomaN

    public void testSomaN()

### fibonaci

    public int fibonaci(int n)

### testFibonaci

    public void testFibonaci()

### factorial

    public int factorial(int n)

### testFactorial

    public void testFactorial()

### someTerms

    public TermModel[] someTerms()

### testGetRealJavaObject

    public void testGetRealJavaObject()

### testStrangeChar

    public void testStrangeChar()

### testBlockdataSerialization1

    public void testBlockdataSerialization1()

### testBlockdataSerialization2

    public void testBlockdataSerialization2()

### kickThread1

    public void kickThread1()

### testJavaThreads

    public void testJavaThreads()
                         throws InterruptedException

  Throws:
    `InterruptedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD